import Vue from 'vue'
import App from './App'
import Store from './store/index'
import "../static/nicon/iconfont.css"
import goodsApi from "./api/goods"
import orderApi from "./api/order"
import promoteApi from "./api/promote";
import indexApi from './api/index'
import { DFSImg } from "@/utils/index";
import { $themeToLink } from "@/utils/mayi"

Vue.config.productionTip = false
App.mpType = 'app'
Vue.prototype.$store = Store

// 异常监控（行为收集）
let mpAnalytics = require("../node_modules/mayi-analytics/dist/mayi.mpAnalytics.js")
    .default;
mpAnalytics.init({
    url: process.env.NODE_ENV == 'production' ? "https://analytics.mayi888.com/ma.gif" : "https://analytics.mayi888.cn/ma.gif", //错误上报地址
    app: "mayi-mp-shop",//项目名称
    wx
});
Vue.prototype.$mpAnalytics = mpAnalytics;

const app = new Vue(App)
app.$mount()


// glob挂载到
let mpApp = getApp();
Vue.prototype.mpApp = mpApp
// 数据异步回调函数
// 商城
mpApp.shopCallBack = function () { }
// 多主题页面
mpApp.pageCallBack = function () { }
// 底部栏
mpApp.footerCallBack = function () { }
// webview变化
mpApp.webviewCallBack = function () { }
mpApp.shareInit = function () {};

console.log('3555555', wx)
// 全局跳转 data为link对象
mpApp.$themeToLink = $themeToLink

// api
mpApp.goodsApi = goodsApi;
mpApp.orderApi = orderApi;
mpApp.promoteApi = promoteApi;
mpApp.indexApi = indexApi;
mpApp.DFSImg = DFSImg;




if (!mpApp.globalData.setPopupStorage){

  let popUpList = wx.getStorageSync('popUpList') || []
  let arr = []
  popUpList.forEach(item=> {
    arr.push(item)
    wx.removeStorageSync(item)
  })
  arr.forEach(item => {
    popUpList.splice(popUpList.indexOf(item),1)
  })

  wx.setStorageSync('popUpList', popUpList)

}